%define apache_minvers 1.3.31
%define modcontrib_version 1.0.8

Summary:     Various apache modules
Name:        mod_contrib
Version:     %{modcontrib_version}
Release:     24.pp
License:     GPL
Group:       System Environment/Daemons
Source0:     http://httpd.apache.org/dist/httpd/contrib/modules/1.3/apache-contrib-%{modcontrib_version}.tar.gz
Source1:     %{name}-conf.tar.bz2
URL:         http://httpd.apache.org/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Apache Software Foundation
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    glibc apache >= %{apache_minvers} apache.pp
Provides:    %{name}.pp
Prereq:      /bin/bash
BuildPrereq: gcc >= 2.96 /usr/bin/perl /bin/mkdir /usr/bin/make /bin/tar
BuildPrereq: /usr/bin/install /usr/sbin/apxs /bin/sed openssl097-devel
BuildPrereq: glibc-devel apache-devel >= %{apache_minvers} mm-devel
ExclusiveOS: linux

%description
This is a collection of third-party modules contributed to the Apache HTTP
server project (http://www.apache.org/).  It's a compilation of modules
together with a Makefile hierarchy to easily install these modules into an
existing Apache 1.3 HTTP server installation through Apache's new APXS
mechanism. Some older modules were slightly adjusted for Apache 1.3.


Current list of modules
-----------------------

mod_allowdev .......... Disallow requests for files on particular devices
mod_auth_cookie ....... Authenticate via cookies; on-the-fly
mod_auth_cookie_file .. Authenticate via cookies; with .htpasswd-like file
mod_auth_external ..... Authenticate via external program
mod_auth_inst ......... Authenticate via instant passwords for dummy users
mod_auth_system ....... Authenticate via system passwd file
mod_eaccess ........... Extended Access Control
mod_bandwidth ......... Bandwidth management on a per-connection basis
mod_cache ............. Automatic caching of documents via mmap()
mod_cgisock ........... CGI/1.1 over Socket Handling
mod_urlcount .......... Automatic URL access counter via TXT and DBM file
mod_disallow_id ....... Disallow requests for files owned by particular UserIDs
mod_layout ............ Automatic Header/Footer system
mod_lock .............. Conditional locking mechanism for document trees
mod_peephole .......... Peepholing filesystem information about documents
mod_put ............... Handler for HTTP/1.1 PUT and DELETE method
mod_qs2ssi ............ Parse query string to CGI/SSI variables
mod_session ........... Session management and tracking via identifiers
mod_fastcgi ........... FastCGI Implementation
mod_cvs ............... CVS on-the-fly checkout mechanism
mod_macro ............. Macros for the configuration files
mod_random ............ Random URL Locating
mod_roaming ........... Server-Support for the Netscape 4.5 Roaming Facility
mod_ip_forwarding ..... IP client address/name forwarding between proxies
mod_ticket .......,.... Session Ticket Handling


%package manual
Summary:     Documentation for the apache modules
Group:       Documentation
Requires:    apache-manual >= %{apache_minvers} %{name} = %{modcontrib_version}
Provides:    %{name}-manual.pp

%description manual
The %{name}-manual package contains the complete manual and programming
reference for the apache module collection. It requires apache-manual
to be installed.


%prep
%setup -q -n apache-contrib-%{version}
cd mod_bandwidth
sed -e s:/tmp/apachebw/master:/var/httpd/bandwidth/master:g \
    -e s:/tmp/apachebw/link:/var/httpd/bandwidth/link:g mod_bandwidth.c \
    > tmpfile
mv tmpfile mod_bandwidth.c; rm -f tmpfile


%build
export CFLAGS="$RPM_OPT_FLAGS"
export LIBS="-lpthread"
export EAPI_MM="SYSTEM"
export APXS="/usr/sbin/apxs"
make


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf/modules
mkdir -p $RPM_BUILD_ROOT/usr/lib/apache
mkdir -p $RPM_BUILD_ROOT/var/httpd/htdocs/manual/mod
for file in `find . -type f -name "*.so"`; do
    install -m 755 $file $RPM_BUILD_ROOT/usr/lib/apache
done
for file in `find . -type f -name "*.htm*"`; do
    install -m 644 $file $RPM_BUILD_ROOT/var/httpd/htdocs/manual/mod
done
tar xjf %{SOURCE1} -C $RPM_BUILD_ROOT/etc/httpd/conf/modules
for file in `ls $RPM_BUILD_ROOT/etc/httpd/conf/modules`; do
    mv $RPM_BUILD_ROOT/etc/httpd/conf/modules/$file $RPM_BUILD_ROOT/etc/httpd/conf/modules/$file.default
done
tar xjf %{SOURCE1} -C $RPM_BUILD_ROOT/etc/httpd/conf/modules
mkdir -p $RPM_BUILD_ROOT/var/httpd/bandwidth/link
mkdir -p $RPM_BUILD_ROOT/var/httpd/bandwidth/master


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc CHANGES README
%config(noreplace) /etc/httpd/conf/modules/*.conf
/etc/httpd/conf/modules/*.default
/usr/lib/apache/*
%dir %attr(777,root,root) /var/httpd/bandwidth
%attr(777,root,root) /var/httpd/bandwidth/*

%files manual
%defattr(-,root,root)
/var/httpd/htdocs/manual/mod/*


%changelog
* Fri May 14 2004 peter.pramberger@1012surf.net
- new apache version 1.3.31

* Thu May 08 2003 peter.pramberger@1012surf.net
- compiled for RH73

* Sat Nov 10 2001 peter.pramberger@1012surf.net
- new apache version 1.3.22

* Wed Oct 10 2001 peter.pramberger@1012surf.net
- created

